#### Previous topic

scipy.constants.lambda2nu

#### Next topic

Discrete Fourier transforms (`scipy.fftpack`)

# scipy.constants.nu2lambda

`scipy.constants.``nu2lambda`(nu)

  Convert optical frequency to wavelength.

  Parameters:

  nu : array_like

  > Optical frequency to be converted.

  Returns:

  lambda : float or array of floats

  > Equivalent wavelength(s).

  Notes

  Computes `lambda = c / nu` where c = 299792458.0, i.e., the (vacuum) speed of light in meters/second.

  Examples

      >>> from scipy.constants import nu2lambda, speed_of_light
      >>> nu2lambda(np.array((1, speed_of_light)))
      array([  2.99792458e+08,   1.00000000e+00])